package capitulo05.bloque02.coleccionAntiguedades;

public class Cuadro extends Antiguedad{
    private String pintor;



    public Cuadro() {
    }

    public Cuadro(int anoFabricacion, String origen, float precioVenta, String pintor) {
        super(anoFabricacion, origen, precioVenta);
        this.pintor = pintor;
    }

    public String getPintor() {
        return pintor;
    }

    public void setPintor(String pintor) {
        this.pintor = pintor;
    }

    @Override
    public String toString() {
        return "Cuadro{" +

                "anoFabricacion=" + super.getAnoFabricacion() +
                ", origen='" + super.getOrigen() + '\'' +
                ", precioVenta=" + super.getPrecioVenta() +

                ", pintor='" + pintor + '\'' +
                '}';
    }
}
